package com.aucma.base.mapper;

import java.util.List;
import com.aucma.base.domain.OrderBomInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 订单BOMMapper接口
 * 
 * @author Yinq
 * @date 2023-09-28
 */
public interface OrderBomInfoMapper 
{
    /**
     * 查询订单BOM
     * 
     * @param objId 订单BOM主键
     * @return 订单BOM
     */
    public OrderBomInfo selectOrderBomInfoByObjId(Long objId);

    /**
     * 查询订单BOM列表
     * 
     * @param orderBomInfo 订单BOM
     * @return 订单BOM集合
     */
    public List<OrderBomInfo> selectOrderBomInfoList(OrderBomInfo orderBomInfo);

    /**
     * 新增订单BOM
     * 
     * @param orderBomInfo 订单BOM
     * @return 结果
     */
    public int insertOrderBomInfo(OrderBomInfo orderBomInfo);

    /**
     * 修改订单BOM
     * 
     * @param orderBomInfo 订单BOM
     * @return 结果
     */
    public int updateOrderBomInfo(OrderBomInfo orderBomInfo);

    /**
     * 删除订单BOM
     * 
     * @param objId 订单BOM主键
     * @return 结果
     */
    public int deleteOrderBomInfoByObjId(Long objId);

    /**
     * 批量删除订单BOM
     * 
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderBomInfoByObjIds(Long[] objIds);



    /**
     * 根据ID查询所有子Bom
     * @param materialCode
     * @return
     */
    List<OrderBomInfo> selectChildrenBomById(String materialCode);

    /**
     * 修改子元素关系
     *
     * @param children 子元素
     * @return 结果
     */
    void updateBomChildren(@Param("depts") List<OrderBomInfo> children);


    /**
     * 根据BOM编号查询订单BOM
     *
     * @param materialCode 生产BOM主键
     * @return 订单BOM
     */
    public OrderBomInfo selectOrderBomInfoByMaterialCode(@Param("materialCode") String materialCode);
}
